import{Dialog as o}from"@equinor/eds-core-react";import{colors as i}from"../../atoms/style/colors.js";import{spacings as t}from"../../atoms/style/spacings.js";import e,{css as d}from"styled-components";const n=e(o)`
  grid-gap: 0;
`,r=e(o.Title)`
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - (${t.medium} * 2));
  padding: ${t.medium};

  ${({$withBorders:o})=>o?d`
        border-bottom: 1px solid ${i.ui.background__medium.rgba};
      `:""}
  > section {
    display: flex;
    flex-direction: column;
  }
`,s=e(o.CustomContent)`
  min-height: unset;
  ${({$withContentPadding:o})=>o?d`
        padding: ${t.medium};
      `:d`
      padding: 0;
    `}
`,m=e(o.Actions)`
  border-top: 1px solid ${i.ui.background__medium.rgba};
  display: grid;
  grid-template-columns: auto auto auto;
  padding-top: ${t.medium};
  width: calc(100% - (${t.medium} * 2));

  > section {
    display: flex;
    gap: ${t.small};
  }

  > section#dialog-actions-left {
    grid-column: 1;
  }

  > section#dialog-actions-center {
    grid-column: 2;
    justify-content: center;
  }

  > section#dialog-actions-right {
    grid-column: 3;
    justify-content: flex-end;
  }

  ${({$withBorders:o})=>o?d`
        border-top: 1px solid ${i.ui.background__medium.rgba};
      `:d`
      border-top: none;
    `}
`;export{m as DialogActions,s as DialogContent,n as DialogElement,r as DialogTitle};
