import { HTMLAttributes } from 'react';
import { SideBarMenuItem } from '../../atoms/types/SideBar';
export type MenuItemProps = {
    currentUrl?: string;
    disabled?: boolean;
    /**
     * This is useful for routes that drills into a path,
     * by still highlighting the original path and not disable "back to start" by click on the same link again
     * eg. navigating to /collections and clicking on an item to go into /collections/:id and so on
     */
    hasPathDrilling?: boolean;
} & SideBarMenuItem & HTMLAttributes<HTMLAnchorElement>;
export declare const MenuItem: import("react").ForwardRefExoticComponent<{
    currentUrl?: string;
    disabled?: boolean;
    /**
     * This is useful for routes that drills into a path,
     * by still highlighting the original path and not disable "back to start" by click on the same link again
     * eg. navigating to /collections and clicking on an item to go into /collections/:id and so on
     */
    hasPathDrilling?: boolean;
} & SideBarMenuItem & HTMLAttributes<HTMLAnchorElement> & import("react").RefAttributes<HTMLAnchorElement>>;
