import{TopBar as e,Typography as r,CircularProgress as i,Button as t}from"@equinor/eds-core-react";import{tokens as o}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{EnvironmentType as n}from"../../atoms/enums/Environment.js";import"../../atoms/style/colors.js";import{spacings as a}from"../../atoms/style/spacings.js";import s from"styled-components";const{colors:l}=o,d=s(e)`
  border-bottom: 1px solid ${l.ui.background__medium.rgba};
  padding-left: ${a.medium};
  align-content: center;
  position: relative;
`,c=s.button`
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: ${a.medium_small};
  padding: 0;
  outline-offset: ${a.x_small};
  &:hover {
    border-radius: 4px;
    outline: none;
  }
  &:focus {
    border-radius: 4px;
    outline: 2px dashed ${l.interactive.primary__resting.rgba};
  }
`,p=s(e.Header)`
  display: flex;
  align-items: center;
  gap: ${a.medium};
`,g=s(r)`
  text-transform: ${e=>e.$capitalize?"capitalize":"none"};
`,m=s(i)`
  circle {
    stroke: ${l.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${l.interactive.primary__hover_alt.rgba};
  }
`;const b=s.div`
  width: 214px;
  height: 36px;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  text-transform: capitalize;
  ${e=>function(e){let r="none",i="none";return e===n.LOCALHOST?(r=l.interactive.disabled__fill.rgba,i=l.interactive.disabled__text.rgba):e===n.DEVELOP?(r=l.ui.background__info.rgba,i=l.infographic.substitute__blue_overcast.rgba):e===n.STAGING&&(r=l.ui.background__warning.rgba,i=l.interactive.warning__text.rgba),`\n    background-color: ${r};\n    border: 1px solid ${i};\n  `}(e.$environmentType)}
`,u=s.div`
  background-color: ${l.interactive.danger__resting.rgba};
  width: 10px;
  height: 10px;
  border-radius: 50%;
  position: absolute;
  right: 2px;
  top: 4px;
  border: 2px solid ${l.text.static_icons__primary_white.rgba};
  // Box-sizing is a quickfix for use in PWEX because of global styling
  box-sizing: content-box;
`,_=s(t)`
  height: ${({$fieldSelector:e})=>e?"":"36px"};
  width: ${({$fieldSelector:e})=>e?"":"36px"};
  border: ${({$isSelected:e})=>e?"1px solid #132E31":"1px solid transparent"};
  color: ${({$isSelected:e})=>e?"#132E31":l.interactive.primary__resting.rgba};
  &:hover ${u} {
    border: 2px solid ${l.interactive.primary__hover_alt.rgba};
  }
`;export{p as AppAndFieldContainer,c as AppIdentifier,g as AppName,d as Bar,m as CircularProgress,b as EnvironmentTag,_ as TopBarButton,u as UnreadRedDot};
