import { FC, ReactNode } from 'react';
interface TutorialContextState {
    tutorialStep: string;
    setTutorialStep: (val: string) => void;
    showTutorialIntro: boolean;
    setShowTutorialIntro: (val: boolean) => void;
}
/**
 * @deprecated since version 6.3.0. We use TutorialProvider instead, and add tutorials to a database on amplify-portal.
 * You can read a small guide in the front-end docs on the JS devops (JS devops -> Overview -> Wiki -> Documentation ->
 * Front-end docs -> Guides -> Creating tutorial for TutorialProvider)
 */
export declare const useTutorialSteps: () => TutorialContextState;
/**
 * @deprecated since version 6.3.0. We use TutorialProvider instead, and add tutorials to a database on amplify-portal.
 * You can read a small guide in the front-end docs on the JS devops (JS devops -> Overview -> Wiki -> Documentation ->
 * Front-end docs -> Guides -> Creating tutorial for TutorialProvider)
 */
export declare const TutorialStepsProvider: FC<{
    children: ReactNode;
    startOpen?: boolean;
}>;
export {};
